<!-- Modal -->
<div id="modalEditarProducto" class="modal fade" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h3 id="myModalLabel"><?php echo $_translator->_getTranslation('Editar producto');?></h3>
            <div id="infoProducto"></div>
        </div> 
        <div id="flashmessenger-editarProducto"></div>
        <div class="modal-body">  
                <div style="display: none">
                    <?php echo $form->showElement('idDetalleTemp');?>
                    <?php echo $form->showElement('idProducto');?>
                     <?php echo $form->showElement('cantidadOrigen');?>
                </div>   
            <div class='col-lg-12 col-md-12 col-sm-12'>
                <div><?php echo $form->showElement('cantidad');?></div>
                <div><?php echo $form->showElement('precio');?></div>
                <?php            
                /*$_allowDisccounts se declara en POS.php (VIEW) */
                if($_allowDisccounts == '0'){
                    $form->addProperties('descuento_item_valor',array('class'=>''));
                    $form->addOptionals('descuento_item_valor',array('readOnly'=>'true'));?>
                    <div style="display:none"><?php echo $form->showElement('descuento_item_valor');?></div><?php                
                }else{?>
                    <div><?php echo $form->showElement('descuento_item_valor');?></div><?php                
                }?>              
                 
                <!--<div><?php echo $form->showElement('impuestos')?></div>-->
                    <!--
                    <div>
                        <div class="form-group">
                            <label class="control-label col-lg-3 col-md-3 col-sm-3"></label>
                            <a class="btn btn-default" onclick="$('#descuento_item_valor').val(30)">30%</a>
                            <a class="btn btn-default" onclick="$('#descuento_item_valor').val(0)">0%</a>
                        </div>
                    </div>-->
            </div>
                <div class="clear"></div>        
        </div>
        <div class="modal-footer">
            <div class="col-lg-12 col-md-12 col-sm-12">
                <?php $element = $form->getElement('guardar');echo $form->createOnlyElement($element); /* Save cobroTemp */?>
                <input type="button" class='btn btn-default setCursor _closeEditarProducto' onclick="$('#idDetalleTemp').val('');" value="<?php echo $_translator->_getTranslation('Cerrar');?>" />                      
            </div>
        </div>
    </div>           
    </div>
        <script>
        $('#modalEditarProducto').on('shown.bs.modal', function (e) {                     
            $('#cantidad').attr('readonly',false);
            $('#cantidad').focus().select();              
         });
         
        $('._closeEditarProducto').on('click',function(){
            $('#idDetalleTemp').val('');
            $('#cantidad').val('1');
            $('#precio').val('');
            $("#impuestos").val('');
            $("#descuento_item_valor").val('');
            $('#modalEditarProducto').modal('hide');
            stopReadScale();
        });
        
        $('#cantidad').on('click',function(){
            var numpad_precio = $(this).attr("data-numpad");
            $('#'+numpad_precio).remove(); //Se eliminar instacia creada para #precio
            $(this).removeAttr("data-numpad"); //Se eliminar attr asignado a #precio por instancia numpad            
            $(this).attr('readonly',false);
            $(this).select();
        });
         
        $('._addClassCalculator').on('click',function(){
            $('#cantidad').removeClass('numPad').addClass('numPad');
            $("#cantidad").numpad({decimalSeparator: '.',hidePlusMinusButton: true});
            $("#cantidad").numpad('open');
        });
        
        $('#cantidad').on('keydown',function(e){
            var keycode = e.keyCode || e.which;
            if(keycode === 13) {
               setVentaPos(true);
            }
        });
    </script>
</div>